@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
}

body {
    background-color: black;
}

h2 {
    color: white;
    font-size: 24px;
    font-weight: 600;
}

a {
    text-decoration: none;
    border-radius: 50px;
    padding: 4px 16px;
    color: white;
    display: block;
    width: max-content;
    border: 1px solid white;
}

.cont {
    width: 100vw;
    max-width: 512px;
    margin: auto;
    padding: 24px;
}

.title h1 {
    color: white;
    font-size: 48px;
}

.desc {
    color: rgb(199, 199, 199);
}

.links .title {
    display: flex;
    margin-bottom: 12px;
}

.links a {
    font-size: 18px;
    display: flex;
    margin-bottom: 4px;
    transition: all .2s ease;
}

.links a:hover {
    background-color: var(--element-color);
    color: black;
    border: 1px solid var(--element-color);
}

.status-circle {
    height: 16px;
    aspect-ratio: 1;
    border-radius: 50%;
    background-color: aliceblue;
    margin: auto 10px;
    animation: blink 1s infinite;
}

@keyframes blink {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.block {
    margin-bottom: 36px;
}

.links .block {
    margin-bottom: 12px;
}

.footer {
    color: rgb(199, 199, 199);
    text-align: center;
    font-size: 12px;
    position: absolute;
    bottom: 24px;
    left: 0;
    width: 100vw;
}

@media (min-width: 512px) {
    body {
        background-color: rgb(61, 61, 61);
        height: 100vh;
    }

    .cont {
        background-color: black;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        padding: 36px;
        box-shadow: 0px 0px 20px rgb(0 0 0 / 15%);
    }

    .footer {
        position: static;
        width: 100%;
    }
}